<?php

/*
EditorTools自动采集助手-DZ6(简体GBK、UTF-8)文章检查接口
----------------------------------
文件名
ETCHK.php
discuz6文章检查文件，请复制在DZ6论坛根目录使用，为保密，请自行修改文件名

主要参数
subject		主题标题
vercode		校验码，本项自定以防止接口被他人利用
*/
$vercode='123456';	//此处取值请自行修改
/*

如果需要进行更多校验，请自行填加相关代码。

ET发布配置-文章检查网址处，填写参考如下：
http://您的网址/ETchk.php?subject=<%title%>&vercode=123456

*/

define('NOROBOT', TRUE);

if ($_REQUEST['vercode']==$vercode){
	require_once  './include/common.inc.php';
	
	$subject=addslashes($_REQUEST['subject']);
	$query =$db->query("SELECT * FROM {$tablepre}threads WHERE subject ='{$subject}' LIMIT 1");
	if ($db->num_rows($query)>0){
	echo('1');
	}
	else
	{
	echo('0');
	}
	
	$db->close;
	exit();

}
else
{
echo('[err]验证错误[/err]');
}
?>